//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBox1;
	TEdit *eStructName;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *eComment;
	TLabel *Label3;
	TEdit *eArrayAttribute;
	TLabel *Label5;
	TEdit *eInputFile;
	TButton *Button1;
	TOpenDialog *OD;
	TButton *btnMake;
	TRadioButton *cbDec;
	TRadioButton *cbHex;
	TProgressBar *pb;
	TGroupBox *GroupBox2;
	TMemo *mPreview;
	TLabel *Label4;
	TEdit *eOutputFile;
	TLabel *Label6;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall btnMakeClick(TObject *Sender);
	void __fastcall eUpdatePreview(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
	void __fastcall DisableControl(int tag);
	void __fastcall EnableControl(int tag);
	void __fastcall UpdateHeader();
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
